Subject: bug#19226: eww.el desktop support fixes: autoload eww-mode, use inhibit-read-only

From: Stefan Monnier <[email-masked]>
Date: Mon, 01 Dec 2014 08:52:01 -0500

>> Come to think of it, desktop mode could solve this itself:

It could, but I think this would be trying to be too clever.

> 	Moreover, “general purpose” modes are ought to be autoloaded
> 	anyway.  I see no reason to second-guess this case at the least.

I tend to agree.  If the major-mode is not autoloaded (as in the eww
case), it's quite likely to be a special major mode that is better
entered via some other function (e.g. store the URL and recreate the
buffer via `eww' which will take care calling eww-mode (and loading any
file that this may require)).

        Stefan